Bug 432798 - kernel BUG at mm/highmem.c:89 on shuthdown after suspending to ram
kernel BUG at mm/highmem.c:89 on shuthdown after suspending to ram
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-14 08:41 EST by Alessio Caiazza
Modified: 2009-01-09 00:59 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:59:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alessio Caiazza 2008-02-14 08:41:53 EST
Description of problem:
I'v got an HP pavilion tx1140ea, when this resumes from suspend sistem seems to
be ok, but when I poweroff the system hangs.

Version-Release number of selected component (if applicable):

$ uname -a
Linux talbot 2.6.23.15-137.fc8 #1 SMP Sun Feb 10 17:48:34 EST 2008 i686 athlon
i386 GNU/Linux


How reproducible:


Steps to Reproduce:
1. suspend to ram (using gnome power management applet)
2. resume
3. shutdown
  
Actual results:

Feb 14 13:25:16 talbot kernel: kernel BUG at mm/highmem.c:89!
Feb 14 13:25:16 talbot kernel: invalid opcode: 0000 [#1] SMP 
Feb 14 13:25:16 talbot kernel: Modules linked in: tun ndiswrapper(U) forcedeth
hci_usb fuse rfcomm l2cap bluetooth autofs4 nf_conntrack_ipv4 ipt_REJECT
iptable_filter ip_tables nf_conntrack_ipv6 xt_state nf_conntrack nfnetlink
xt_tcpudp ip6t_ipv6header ip6t_REJECT ip6table_filter ip6_tables x_tables
cpufreq_ondemand sha256 aes cbc blkcipher dm_crypt ipv6 ext2 xfs dm_mirror
dm_multipath dm_mod snd_hda_intel snd_seq_dummy snd_seq_oss snd_seq_midi_event
snd_seq nvidia(P)(U) snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm snd_timer
snd_page_alloc snd_hwdep snd soundcore i2c_nforce2 i2c_core battery video button
ac output k8temp hwmon sg joydev pata_amd sata_nv ata_generic libata sd_mod
scsi_mod ext3 jbd mbcache uhci_hcd ohci_hcd ehci_hcd
Feb 14 13:25:16 talbot kernel: CPU:    0
Feb 14 13:25:16 talbot kernel: EIP:    0060:[<c046bf65>]    Tainted: P        VLI
Feb 14 13:25:16 talbot kernel: EFLAGS: 00010246   (2.6.23.15-137.fc8 #1)
Feb 14 13:25:16 talbot kernel: EIP is at flush_all_zero_pkmaps+0x25/0x8a

Expected results:

A clean shutdown

Additional info:

$ cat /etc/pm/config.d/unload_modules 
SUSPEND_MODULES="ndiswrapper forcedeth"
Comment 1 Bug Zapper 2008-11-26 04:48:59 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-01-09 00:59:30 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.